%define oname   winrm

Name:       ruby-%{oname}
Version:    2.3.6
Release:    %mkrel 1
Summary:    Ruby library for Windows Remote Management
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/WinRb/WinRM
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby library for Windows Remote Management

%files
%{_bindir}/rwinrm
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Thu Nov 02 2023 neoclust <neoclust> 2.3.6-1.mga10
+ Revision: 2003612
- New version 2.3.6
- imported package ruby-winrm

